Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.upnp
Class ObjectFactory

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.upnp.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.teleal.cling.support.contentdirectory.descriptor.upnp package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.upnp

Method Summary
`Album` | `createAlbum(java.lang.String value)` Create an instance of `Album`}
`Class` | `createClass()` Create an instance of `Class`
`CreateClass` | `createCreateClass()` Create an instance of `CreateClass`
`Genre` | `createGenre(java.lang.String value)` Create an instance of `Genre`}
`Icon` | `createIcon(java.lang.String value)` Create an instance of `Icon`}
`LongDescription` | `createLongDescription(java.lang.String value)` Create an instance of `LongDescription`}
`Playlist` | `createPlaylist(java.lang.String value)` Create an instance of `Playlist`}
`Rating` | `createRating(java.lang.String value)` Create an instance of `Rating`}
`Region` | `createRegion(java.lang.String value)` Create an instance of `Region`}
`SearchClass` | `createSearchClass()` Create an instance of `SearchClass`
`StorageFree` | `createStorageFree(java.lang.Long value)` Create an instance of `StorageFree`}
`StorageMaxPartition` | `createStorageMaxPartition(java.lang.Long value)` Create an instance of `StorageMaxPartition`}
`StorageMedium` | `createStorageMedium(StorageMediumValue value)` Create an instance of `StorageMedium`}
`StorageTotal` | `createStorageTotal(java.lang.Long value)` Create an instance of `StorageTotal`}
`StorageUsed` | `createStorageUsed(java.lang.Long value)` Create an instance of `StorageUsed`}
`WriteStatus` | `createWriteStatus(WriteStatusValue value)` Create an instance of `WriteStatus`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.upnp

Method Detail

### createSearchClass

    public SearchClass createSearchClass()

  Create an instance of `SearchClass`

### createCreateClass

    public CreateClass createCreateClass()

  Create an instance of `CreateClass`

### createClass

    public Class createClass()

  Create an instance of `Class`

### createAlbum

    public Album createAlbum(java.lang.String value)

  Create an instance of `Album`}

### createStorageTotal

    public StorageTotal createStorageTotal(java.lang.Long value)

  Create an instance of `StorageTotal`}

### createIcon

    public Icon createIcon(java.lang.String value)

  Create an instance of `Icon`}

### createRegion

    public Region createRegion(java.lang.String value)

  Create an instance of `Region`}

### createGenre

    public Genre createGenre(java.lang.String value)

  Create an instance of `Genre`}

### createStorageUsed

    public StorageUsed createStorageUsed(java.lang.Long value)

  Create an instance of `StorageUsed`}

### createStorageFree

    public StorageFree createStorageFree(java.lang.Long value)

  Create an instance of `StorageFree`}

### createWriteStatus

    public WriteStatus createWriteStatus(WriteStatusValue value)

  Create an instance of `WriteStatus`}

### createStorageMaxPartition

    public StorageMaxPartition createStorageMaxPartition(java.lang.Long value)

  Create an instance of `StorageMaxPartition`}

### createPlaylist

    public Playlist createPlaylist(java.lang.String value)

  Create an instance of `Playlist`}

### createRating

    public Rating createRating(java.lang.String value)

  Create an instance of `Rating`}

### createLongDescription

    public LongDescription createLongDescription(java.lang.String value)

  Create an instance of `LongDescription`}

### createStorageMedium

    public StorageMedium createStorageMedium(StorageMediumValue value)

  Create an instance of `StorageMedium`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.